Subject: compiling and running zsh
From: [email-masked]
To: [email-masked]
Date: Thu, 6 Jul 2000 09:18:27 -0500 (CDT)

This is not the account I am subscribed from, that mail server is currently being blocked for strange reasons, and there is nothing we can do about it. :( 

There was a recent thread on here regarding getting ksh and zsh to compile and run. I also had a thread running a few weeks ago detailing my problems. I have finally solved those and believe I know the problem the other person is having. In brief, I have been able to compile zsh-3.1.* but running it gave me STATUS_ACCESS_VIOLATION errors. Fixes in the archives didn't work. After much working through gdb, I determined the problem lay somewhere in termcap or terminfo, so I performed a complete upgrade of cygwin and started over configuring and compileing both zsh-3.1.7 and 3.1.9. I then ran into problems with /bin/sh. Apparently I originally did not have ash in my installation and so had created a link for /bin/sh. This probably was a hard link to /bin/bash, but I am not sure anymore. After removing that, my configure scripts started working again. During the compile portion, it died in both builds with problems in libcurses. I upgraded to the most recent curses I could find (nc!
urses-5) and tried again. This time it compiled fine and I can run both builds. For the benefit of the person who started the recent zsh thread, I believe you had some kind of problem with undefined symbols having puts or something like that? If so, you might upgrade your curses libraries, or possibly the termcap package in the base system.

--
Want to unsubscribe from this list?
Send a message to [email-masked]